# Generated from mailshears-0.0.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name mailshears

Name: rubygem-%{gem_name}
Version: 0.0.4
Release: 1%{?dist}
Summary: Prune unused mail directories
License: AGPL-3.0
URL: http://michael.orlitzky.com/code/mailshears.xhtml
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.3.6
BuildRequires: ruby
BuildArch: noarch

%description
Managing a mail system with virtual users is annoying. The
authoritative database of users is stored in one table, but every
other piece of software keeps its own database of users.
If you're using PostfixAdmin to manage your users, what happens when
you delete a user? Chances are, nothing happens: mail directories are
left behind, webmail preferences are saved, address books become
orphaned. That's what mailshears was designed to fix. It cleans up
after you remove a user or domain.
Another stupidly difficult task is renaming a single email
account. It's easy to move the user in one database, but then all of
the remaining filesystem directories and databases need to be updated
as well. Since these two tasks are related, mailshears does them both.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/mailshears
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/doc
%{gem_instdir}/mailshears.gemspec
%{gem_instdir}/test

%changelog
* Tue Sep 14 2021 mockbuilder - 0.0.4-1
- Initial package
